Bug 835700 - [as7] Memory pools names for garbage-collector not marked as read-only
[as7] Memory pools names for garbage-collector not marked as read-only
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
medium Severity medium (vote)
: ---
: JON 3.1.1
Assigned To: Armine Hovsepyan
Mike Foley
:
Depends On: 831757
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-06-26 17:05 EDT by Stefan Negrea
Modified: 2015-09-02 20:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 831757
Environment:
Last Closed: 2013-09-03 11:09:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
memory pools names (156.92 KB, image/png)
2012-08-08 09:42 EDT, Armine Hovsepyan
no flags Details

  None (edit)
Description Stefan Negrea 2012-06-26 17:05:22 EDT
+++ This bug was initially created as a clone of Bug #831757 +++

Description of problem:
The memory pools names property for garbage-collector is read-only in AS7 but not marked as read only on the plugin descriptor. The following error is returned when the users attempt to update the resource:

{JBAS014653: Composite operation failed and was rolled back. Steps that failed:={Operation step-1=JBAS014639: Attribute memory-pool-names is not writable}}, rolled-back=true

How reproducible:
Every time

Steps to Reproduce:
1. Discovery and import an AS7 standalone
2. Browse to core-service=platform-mbean,type=garbage-collector,name=PS_Scavenge subresource
3. Attempt to update the memory-pool-names 
  
Actual results:
Error shown above.

Expected results:
Not allowed to update the configuration.

Additional info:
The garbage collector has only one property (memory-pools-names). So there are no other side-effects of this property not being marked as read-only since there is no other configuration to be updated for the garbage-collector.

--- Additional comment from snegrea@redhat.com on 2012-06-26 17:04:41 EDT ---

The list property was marked as read-only.
Comment 1 Stefan Negrea 2012-07-20 17:45:52 EDT
release/jon3.1.x branch commit:

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=2ecd109038d93f9e7ea53177ee0f91f6ea8ada32
Comment 2 John Sanda 2012-08-02 14:52:13 EDT
JON 3.1.1 ER1 build is available. Moving to ON_QA.

https://brewweb.devel.redhat.com/buildinfo?buildID=226942
Comment 3 Armine Hovsepyan 2012-08-08 09:42:48 EDT
Created attachment 603043 [details]
memory pools names

verified.

I didn't find the resource with name PS_Scavenge, but the two available sub-resources have read-only memory-pools-names
Comment 4 Heiko W. Rupp 2013-09-03 11:09:00 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.